__gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator Struct Reference

`#include <pat_trie_base.hpp>`

Inheritance diagram for __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator:
[legend]

## Public Types

typedef _Alloc::difference_type | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef node_pointer_pointer | pointer
typedef node_pointer_reference | reference
typedef node_pointer | value_type

## Public Member Functions

| const_iterator (node_pointer_pointer p_p_cur=0, node_pointer_pointer p_p_end=0)
bool | operator!= (const const_iterator &other) const
node_const_pointer | operator* () const
const_iterator & | operator++ ()
const_iterator | operator++ (int)
const node_pointer_pointer | operator-> () const
bool | operator== (const const_iterator &other) const

## Public Attributes

node_pointer_pointer | m_p_p_cur
node_pointer_pointer | m_p_p_end

## Detailed Description

template<typename _ATraits, typename Metadata>
struct __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator

Constant child iterator.

Definition at line 255 of file pat_trie_base.hpp.

## Member Typedef Documentation

## difference_type

template<typename _ATraits , typename Metadata >

typedef _Alloc::difference_type __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::difference_type

Definition at line 261 of file pat_trie_base.hpp.

## iterator_category

template<typename _ATraits , typename Metadata >

typedef std::forward_iterator_tag __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::iterator_category

Definition at line 260 of file pat_trie_base.hpp.

## pointer

template<typename _ATraits , typename Metadata >

typedef node_pointer_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::pointer

Definition at line 263 of file pat_trie_base.hpp.

## reference

template<typename _ATraits , typename Metadata >

typedef node_pointer_reference __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::reference

Definition at line 264 of file pat_trie_base.hpp.

## value_type

template<typename _ATraits , typename Metadata >

typedef node_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::value_type

Definition at line 262 of file pat_trie_base.hpp.

## Constructor & Destructor Documentation

## const_iterator()

template<typename _ATraits , typename Metadata >

__gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::const_iterator | ( | node_pointer_pointer | p_p_cur = `0`,
|  | node_pointer_pointer | p_p_end = `0`
| ) |  |

inline

Definition at line 266 of file pat_trie_base.hpp.

## Member Function Documentation

## operator!=()

template<typename _ATraits , typename Metadata >

bool __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::operator!= | ( | const const_iterator & | other | ) | const

inline

Definition at line 276 of file pat_trie_base.hpp.

## operator*()

template<typename _ATraits , typename Metadata >

node_const_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::operator* | ( |  | ) | const

inline

Definition at line 304 of file pat_trie_base.hpp.

## operator++() [1/2]

template<typename _ATraits , typename Metadata >

const_iterator & __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::operator++ | ( |  | ) |

inline

Definition at line 280 of file pat_trie_base.hpp.

## operator++() [2/2]

template<typename _ATraits , typename Metadata >

const_iterator __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::operator++ | ( | int |  | ) |

inline

Definition at line 289 of file pat_trie_base.hpp.

## operator->()

template<typename _ATraits , typename Metadata >

const node_pointer_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::operator-> | ( |  | ) | const

inline

Definition at line 297 of file pat_trie_base.hpp.

## operator==()

template<typename _ATraits , typename Metadata >

bool __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::operator== | ( | const const_iterator & | other | ) | const

inline

Definition at line 272 of file pat_trie_base.hpp.

## Member Data Documentation

## m_p_p_cur

template<typename _ATraits , typename Metadata >

node_pointer_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::m_p_p_cur

Definition at line 257 of file pat_trie_base.hpp.

## m_p_p_end

template<typename _ATraits , typename Metadata >

node_pointer_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::m_p_p_end

Definition at line 258 of file pat_trie_base.hpp.

The documentation for this struct was generated from the following file:

- pat_trie_base.hpp